@import "../global/var";
@import "../global/var-pages";

.form-validation .ng-valid.ng-dirty{
    border-color:  #CBD5DD;
}
.app.body-wide.body-auth .main-container .content-container {
    @media(max-width: 749px) {
        padding: 0;
    }
}
.page-signin,
.page-signup,
.page-forgot,
.page-change {
    .placeholder-label{
        color: #888888;
        font-weight: normal !important;
    }

    md-input-container {
        padding-left: 0;
        padding-right: 0;
    }

    .md-input-container .md-input.ng-invalid.ng-dirty,
    .md-input-focused .md-input {
        border-color: rgb(0,150,136);
    }
    .md-block {
        margin: 12px 0;
    }

    .main-body {
        max-width: 720px;
        width: 720px;
        min-height: 480px;
        margin: 40px auto;

        @media(min-width: $screen-phone + 1) {
            display: inline-block;
            vertical-align: middle;
            position: relative;
        }

        @media(max-width: 749px) {
            max-width: 375px;
            width: auto;
            min-height: auto;
        }

        @media(max-width: $screen-phone) {
            max-width: 100%;
            margin: 0;
        }

        .card {
            display: flex;
            width: 100%;
            height: 100%;
            margin: 0;

            @media(min-width: 750px) {
                font-size: 14px;
            }

            @media(min-width: $screen-phone + 1) {
                text-align: left;
            }

            @media(max-width: 749px) {
                flex-direction: column;
            }
            @media(max-width: $screen-phone) {
                min-height: 100vh;
            }
        }

        .card-action {
            display: flex;
            align-items: center;
            justify-content: flex-end;
            padding: 20px 0 0;
            margin-bottom: 18px;
        }

        .card-content{
            width: 50%;
            max-width: 360px;
            min-height: 480px;
            @media(max-width: 749px){
                width: 100%;
                min-height: auto;
                max-width: 100%;
            }

            .buttons-container {

                .buttons-wrapper {
                    position: relative;
                    margin-top: 42px;
                    padding-bottom: 50px;

                    &::before,
                    &::after {
                        position: absolute;
                        display: block;
                        content: '';
                        width: calc(50% - 58px); // half of top divider text width
                        height: 1px;
                        background-color: $gray8be;
                        top: 0;
                    }

                    &::before {
                        left: 0;
                    }

                    &::after {
                        right: 0;
                    }

                    &__top-divider {
                        width: 116px;
                        position: absolute;
                        display: inline-block;
                        margin: 0 auto;
                        top: -8px;
                        left: 0;
                        right: 0;
                        font-weight: 500;
                        font-size: 14px;
                        color: $gray8be;
                        text-align: center;
                    }

                    .provider-list {
                        margin: 4px 0 0 0;
                        padding: 0;

                        &__item {
                            list-style-type: none;
                            padding-top: 20px;

                            &.active {
                                .item-wrapper {
                                    background-color: $white;

                                    &::after {
                                        background-color: $white;
                                    }
                                }
                            }

                            .item-wrapper {
                                width: 100%;
                                height: 40px;
                                padding: 0;
                                display: flex;
                                position: relative;
                                background: #F7F7F7;
                                border: 0;
                                border-radius: 4px;
                                text-decoration: none;

                                .photo-container {
                                    height: 100%;
                                    flex: 0 0 56px;
                                    display: flex;
                                    align-items: center;
                                    justify-content: center;
                                }

                                &__photo-wrapper {
                                    height: 24px;
                                    width: 24px;
                                    display: flex;
                                    justify-content: center;
                                    align-items: center;
                                    border-radius: 4px;
                                    background-color:  rgba(223, 227, 229, 0.5);
                                    overflow: hidden;

                                    img,
                                    .icon {
                                        font-size: 18px;
                                        line-height: 24px;
                                        text-align: center;
                                        color: #DADADA;
                                    }

                                    img {
                                        max-width: 24px;
                                        max-height: 24px;
                                    }
                                }

                                &__name-wrapper {
                                    height: 100%;
                                    flex: 1 1 auto;
                                    display: flex;
                                    align-items: center;
                                    overflow: hidden;
                                }

                                &__text {
                                    display: inline-block;
                                    overflow: hidden;
                                    text-overflow: ellipsis;
                                    white-space: nowrap;
                                    font-weight: 500;
                                    font-size: 14px;
                                    color: $black;
                                }
                            }
                        }
                    }
                }
            }

            .added-small{
                margin-top: -8px;
                font-size: 12px;
            }
        }
    }

    .additional-info {
        position: absolute;
        bottom: 24px;
        color: rgba($black, 0.25);
        line-height: 1.15;
        font-size: 10px;
        @media(max-width: 749px){
            position: absolute;
            padding-bottom: 28px;
            padding-right: 5px;
            bottom: 0;
            margin-bottom: -12px;
            max-width: 167px;
        }
    }

    .card {
        @extend .z-depth-2;
        .card-content {
            padding: 30px;
        }
    }

    .wrapper {
        @media(min-width: $screen-phone + 1) {
            min-height: 100vh;
            font-size: 0;
            text-align: center;
            &::after{
                content: "";
                display: inline-block;
                width: 0;
                height: 100%;
                min-height: 100vh;
                vertical-align: middle;
            }
        }
    }

    .logo-container{
        margin-bottom: 66px;
        .logo{
            width: 32px;
            height: 18px;
            color: $brand-light;
        }
    }

    .message,
    .comment{
        font-weight: normal;
        text-align: left;
        line-height: 19px;
        letter-spacing: 0.01px;
    }

    .button-container{
        padding: 13px 0 20px;
        display: flex;
        align-items: center;
        @media(max-width: 749px){
            padding-top: 3px;
        }
    }

    .additional-action {
        letter-spacing: .35px;
        color: $black;
        font-size: 12px;
        &__link {
            color: $black;
            text-decoration: underline;
            &:hover {
                color: $black;
            }
        }
        @media(max-width: 749px){
            font-size: 14px;
        }
    }

    .additional-background{
        background-color: $main_container_bg-new;
        @media(max-width: 749px){
            max-width: 100%;
            width: 100%;
            background-color: $white;
            padding-bottom: 0;
            min-height: auto;
            flex-grow: 1;
        }
        padding: 30px;
        width: 50%;
        max-width: 360px;
        min-height: 480px;
        background-size: cover;
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        .version-container{
            max-height: 35px;
            margin-top: -7px;
            .logo{
                max-height: 35px;
                border-radius: 50%;
            }
            @media(max-width: 749px){
                margin-left: 15px;
                margin-bottom: 7px;
            }
            @media(max-width: 345px) {
                margin-left: 0;
            }
        }

        .man-background{
            position: relative;
            height: 100%;
            display: flex;
            justify-content: space-between;
            flex-direction: column;
            @media(max-width: 749px){
                min-height: auto;
            }
            .text{
                z-index: 1;
                @media(max-width: 749px){
                    margin-bottom: 96px;
                }
                p {
                    margin-top: 70px;
                    margin-bottom: 0;
                    max-width: 230px;
                    font-size: 16px;
                    font-weight: 500;
                    font-style: normal;
                    font-stretch: normal;
                    line-height: 1.5;
                    letter-spacing: 0.2px;
                    text-align: left;
                    color: $black;
                    @media(max-width: 749px){
                        margin: 0;
                        max-width: 180px;
                        margin-left: 17px;
                        line-height: 1.39;
                    }
                    @media(max-width: 345px) {
                        margin-left: 0;
                    }
                }
            }
            .speech-cloud {
                position: absolute;
                width: 100%;
                height: 128px;
                top: 66px;
                left: 33px;
                opacity: .5;
                background: url('../assets/images/background/speech-cloud.svg') left bottom no-repeat;
                background-size: contain;
                @media(max-width: 749px){
                    top: -36px;
                    height: 160px;
                    left: 55px;
                    opacity: .25;
                }
                @media(max-width: 345px) {
                    left: 29px;
                }
            }
            .man {
                width: 100%;
                height: 191px;
                margin-bottom: 43px;
                background: url('../assets/images/background/desktop-man-bg.svg') right bottom no-repeat;
                background-size: contain;
                @media(max-width: 749px){
                    background: url('../assets/images/background/mobile-man-bg.svg') right bottom no-repeat;
                    margin-bottom: -2px;
                    height: 145px;
                    position: absolute;
                    right: 2px;
                    bottom: 0;
                }
                @media(max-width: 345px) {
                    right: -10px;
                }
            }
        }
    }
}
